## org.biojava.bio.seq.ragbag
Interface RagbagSequenceFactory

All Known Implementing Classes:
  RagbagFilteredCachedSeqFactory, RagbagFixedCacheSeqFactory, RagbagSoftRefSeqFactory, RagbagUncachedSeqFactory

public interface RagbagSequenceFactory

class that is passed to a RagbagAssembly to use a specified RagbagSequence object type.

Author:
  David Huen

Method Summary
`org.biojava.bio.seq.ragbag.RagbagSequenceItf` `getSequenceObject(java.lang.String name, java.lang.String urn)` return a RagbagSequence object of desired type

Method Detail

### getSequenceObject

    public org.biojava.bio.seq.ragbag.RagbagSequenceItf getSequenceObject(java.lang.String name,
                                                                          java.lang.String urn)

  return a RagbagSequence object of desired type